Subject: Touch: Cannot use a symbolic link as a reference time

From: Michael_google gmail_Gersten <[email-masked]>
Date: Sat, 9 Feb 2013 11:06:58 -0800

I can set the timestamp of a symbolic link with "-h".

But I cannot use "-r -h" to use the timestamp on a symbolic link as
the reference time.

keybounceMBP:QuickTime Player michael$ ls -l capture.mov
4 lrwxr-xr-x 1 michael staff 57 Aug 24 04:54 capture.mov ->
../../iMovie Events.localized/Season 2 header/capture.mov
keybounceMBP:QuickTime Player michael$ ls -lL capture.mov
365800 -rw-r--r-- 1 michael staff 374572867 Feb  8 23:50 capture.mov
keybounceMBP:QuickTime Player michael$ touch -r -h capture.mov capture.mov
touch: failed to get attributes of ‘-h’: No such file or directory

(Yes, the fault is iMovie for arbitrarily touching the timestamps of
the movies in it's library. I'm trying to fix it.)

-- 
Political and economic blog of a strict constitutionalist
http://StrictConstitution.BlogSpot.com

This message may have been spell checked by a laptop kitten.